% Valuta centro del segmento e sua lunghezza

function Ambiente=extend_amb(Ambiente)

n=size(Ambiente);n=n(1);

for i=1:n;
   Ambiente(i,5)=(Ambiente(i,1)+Ambiente(i,3))/2;
   Ambiente(i,6)=(Ambiente(i,2)+Ambiente(i,4))/2;
   Ambiente(i,7)=sqrt((Ambiente(i,1)-Ambiente(i,3))^2+(Ambiente(i,2)-Ambiente(i,4))^2);
   Ambiente(i,8)=-(Ambiente(i,2)-Ambiente(i,4));
   Ambiente(i,9)=(Ambiente(i,1)-Ambiente(i,3));
   Ambiente(i,10)=Ambiente(i,3)*(Ambiente(i,2)-Ambiente(i,4))-Ambiente(i,4)*(Ambiente(i,1)-Ambiente(i,3));         
end

